IDES Interactive Knowledge Base

System Requirements

Last Updated: Jan 13, 2015 07:46AM CST
Minimum Requirements:

The FATCA Registration System should function on the latest version of browsers (e.g. Mozilla Firefox, Internet Explorer, Google Chrome, etc.). NOTE: Safari may not properly display the windows in the FATCA Registration System.
  • ​Refer to your browser’s settings for the options below:
    • JavaScript installed and enabled
    • Session cookies enabled (Internet Explorer, Firefox, Google Chrome, Safari)
    • Web browser encryption enabled (at least 128 bits SSL-3)
    • Latest updated version of the Browser is advised.
  • Access to a PDF Viewer
  • Enable U.S. keyboard settings
​​
Information You Will Need:

FI’s will require pre-registering on the FATCA website and receiving a GIIN. A certificate from an approved Certificate Authority (CA) is also required to enroll.

HCTA’s will be sent a Username from the IRS after registration with the IRS and a certificate from a Certificate Authority (CA).

For Information regarding registering on the FATCA website (HCTA) or on how to obtain a GIIN (FI’s), please refer to
FATCA User Guide on the IRS website. If you already have a GIIN but do not know it you can search for it on the IRS GIIN Finder.
8cbd1ad8a75f68469f58a890843cbdbe@ides.desk-mail.com
https://cdn.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete